<template>
    <div class="list-user">
        <ComponentUser v-for="user in listUser" v-bind:key="user.id" v-bind:user="user" v-on:deleteUser="deleteUser"></ComponentUser>
    </div>
</template>

<script>
import ComponentUser from './ComponentUser';
export default {
    name: 'component-list-user',
    props: {
        listUser: {
            type: Array,
            default: function () {  }
        }
    },
    data: function() {
        return {
            
        }
    },
    components: {
        ComponentUser
    },
    methods: {
        deleteUser(data) {
            console.log('deleteUser ListUser.vue', data);
            this.$emit('deleteUserEvent', data);
        }
    },
}
</script>

<style>
    .list-user {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
    
    .list-user .user {
        border-radius: 5px;
        background-color: #00A3A2;
        padding: 30px;
        margin-bottom: 30px;
        border: 1px solid gray;
        
    }

    .list-user .user button {
        margin-left: 22px;
    }

</style>